LEXER=html
INDENTATION_GUIDE=php

#Keywords
KEYWORDS_PHP=and array as bool boolean break case cfunction class const continue declare default die directory do double echo else elseif empty enddeclare endfor endforeach endif endswitch endwhile eval exit extends false float for foreach function global if include include_once int integer isset list namespace new null object old_function or parent print real require require_once resource return static stdclass string switch true unset use var while xor abstract catch clone exception final implements interface php_user_filter private protected public this throw time try __class__ __file__ __function__ __line__ __method__ __sleep __wakeup

# PHP styles

#Commenting
COMMENT_LINECOMMENT_TOKEN=//
COMMENT_STREAMCOMMENTSTART_TOKEN=/*
COMMENT_STREAMCOMMENTEND_TOKEN=*/

# Indentation
INDENT_AUTOMATIC=true
INDENT_STATEMENT_KEYWORDS= case default do else elseif for foreach if while
INDENT_STATEMENT_END=;
INDENT_STATEMENT_LOOKBACK=20
INDENT_BLOCK_START_CHAR={
INDENT_BLOCK_END_CHAR=}
